"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertInstance = void 0;
// Has to use 'any' to express constructor type
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function assertInstance(value, type) {
    if (value instanceof type) {
        return;
    }
    throw new TypeError("Unexpected type ".concat(typeof value));
}
exports.assertInstance = assertInstance;
